Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455972 - [patch] add sparcx macro for all sparc arches
Summary: [patch] add sparcx macro for all sparc arches
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 15:16 UTC by Dennis Gilmore
Modified: 2008-08-06 05:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-06 05:43:17 UTC


Attachments (Terms of Use)
patch adding sparcx macro (deleted)
2008-07-19 15:16 UTC, Dennis Gilmore
no flags Details | Diff

Description Dennis Gilmore 2008-07-19 15:16:24 UTC
Description of problem:

when needing to do things in spec file for multiple sparc arches gets long
quickly.  adding a sparcx marco for all sparc arches will fix it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dennis Gilmore 2008-07-19 15:16:24 UTC
Created attachment 312205 [details]
patch adding sparcx macro

Comment 2 Jeff Johnson 2008-07-19 23:44:56 UTC
Note that you macro si incomplete, there are othe sparc architecture that have
been mentioned in *.rpm packages.

E.g. Here's what is @rpm5.org already:

# and sparc
%sparc sun4 sun4m sun4c sun4d sun4u sparc sparcv8 sparcv9 sparc64 sparc64v sparcv9b sparcv9v 
sparcv9v2

I will add @rpm5.org
     %sparc %{sparcx}
at the first indication that %{sparcx} is preferred over %{sparc} as the "official" all sparc architectures
RPM macro to be used for all *.rpm packaging.

Have fun!




Comment 3 Jeff Johnson 2008-07-20 00:07:28 UTC
Alternative -- have it your own way! -- %{sparcx} macro added @rpm5.org. Thanks for the patch!

Easier to add than to discuss further ...

Have fun!

Comment 4 Panu Matilainen 2008-08-05 11:55:28 UTC
Whatever rpm5.org does is their business... but %sparc would be more in line with the other arch macros, eg:

# arch macro for all supported Alpha processors
%alpha  alpha alphaev56 alphaev6 alphaev67

Would that be ok with you?

Comment 5 Dennis Gilmore 2008-08-05 22:38:01 UTC
%sparc  is fine   i chose sparcx  based on ix86  but as long as i can use in a spec %ifarch <foo>  and have it work for all im happy.

Comment 6 Panu Matilainen 2008-08-06 05:43:17 UTC
Ok, %sparc added in head and 4.4.x branch upstream, thanks for the patch. Will be in rawhide once the next snapshot update happens (in a few days).


Note You need to log in before you can comment on or make changes to this bug.